Fedora Online Forum

Il forum della comunità italiana di Fedora

#16 25-01-2019 09:28:12

yum_yoshi
Innamorato del forum
Registrato: 04-02-2010
Messaggi: 673

Re: wordpress

scusa ,non so come hai aggiornato ma secondo me , se hai la home in una partizione separata converrebbe fare una installazione nuova di F29 formattando solo la root e non la home .
se non hai la home separata , potresti con una live recuperarti tutti i dati che ti servono in un disco esterno e poi rifai una installazione da nuovo , a sto punto facendo una partizione ,con gparted, per la home ,almeno per eventuali prossimi problemi sei più tranquillo.
questa è la mia idea , puoi aspettare che altri magari dicano qualcosa di meglio

Non in linea

#17 25-01-2019 09:53:54

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

sto facendo aggiornamento alle 25 sperando poi di poter accedere alle mie cartelle

Non in linea

#18 25-01-2019 09:56:50

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

yum_yoshi troppo difficile per me che non ho mai lavorato sulla programmazione. provo ad andare avanti poi vi faccio sapere. Per veder se ho la home in una partizione separata che dovrei fare?

Non in linea

#19 25-01-2019 11:01:00

yum_yoshi
Innamorato del forum
Registrato: 04-02-2010
Messaggi: 673

Re: wordpress

per vedere le partizione  del disco

# fdisk -l

comunque ,se riesci, continua ad aggiornare nel modo che ritieni più semplice.

Non in linea

#20 25-01-2019 12:09:32

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 1'834
Sito web

Re: wordpress

@sognosuper
Ti consiglio vivamente di fermarti un secondo, caricare una qualunque live (anche vecchia e anche non di fedora) e quindi fare un backup dei tuoi dati su un disco esterno/online.
Le procedure di upgrade sono diventate sempre piu' affidabili, ma nel passare da F21 a F29 possono esserci mille variabili in gioco che possono rompere l'upgrade.

Ultima modifica di bebo_sudo (25-01-2019 12:11:00)

Non in linea

#21 25-01-2019 15:17:43

d68qdq8dq
Pinguino avanzato
Registrato: 03-07-2014
Messaggi: 296

Re: wordpress

Una cosa che mi ha stupito è stata la velocità con cui sognosuper ha effettuato gli aggiornamenti...

Non in linea

#22 28-01-2019 21:57:11

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

Ciao perchè velocità?
Mi son dovuta fermare perche in questi ultimi giorni avevo bisogno di utilizzare il pc.
Appena concludo l'aggiornamento a Fedora 29 vi avviso

Non in linea

#23 28-01-2019 22:48:25

d68qdq8dq
Pinguino avanzato
Registrato: 03-07-2014
Messaggi: 296

Re: wordpress

Io aggiorno Fedora da una versione vecchia ad una nuova usando internet ed in genere tra scaricamento e aggiornamento vero e proprio impiega diciamo 7 ore, vabbè ho circa 7000 pacchetti installati, mentre nel tuo caso eri estremamente veloce. Scommetto che hai aggiornato usando i DVD.

Non in linea

#24 01-02-2019 16:32:55

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

No aggiornamento da internet, ma ero a casa.
Ora proseguo che mi ero bloccata

Non in linea

#25 01-02-2019 17:05:59

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

Aiuto cosa devo fare?

[[email protected] fedora]# dnf system-upgrade download --releasever=28
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Adobe Systems Incorporated                      6.6 kB/s | 1.9 kB     00:00    
Fedora 28 - i386 - Updates                      4.8 MB/s |  26 MB     00:05    
Fedora 28 - i386                                5.2 MB/s |  55 MB     00:10    
RPM Fusion for Fedora 28 - Free tainted          12 kB/s | 2.6 kB     00:00    
RPM Fusion for Fedora 28 - Free - Updates       251 kB/s | 457 kB     00:01    
RPM Fusion for Fedora 28 - Free                 559 kB/s | 652 kB     00:01    
RPM Fusion for Fedora 28 - Nonfree - Updates    200 kB/s |  77 kB     00:00    
RPM Fusion for Fedora 28 - Nonfree              426 kB/s | 180 kB     00:00    
Sincronizzazione cache non riuscita per il repo 'epel-spotify', disabilitazione in corso.
Sincronizzazione cache non riuscita per il repo 'fedora-spotify', disabilitazione in corso.
Ultima verifica della scadenza dei metadati: 0:00:00 fa il ven 01 feb 2019 16:55:41 CET.
Errore: 
 Problema 1: package ffmpeg-compat-0.6.7-10.fc26.i686 requires libx264.so.148, but none of the providers can be installed
  - x264-libs-0.148-22.20170521gitaaa9aa8.fc27.i686 does not belong to a distupgrade repository
  - problem with installed package ffmpeg-compat-0.6.7-10.fc26.i686
 Problema 2: cannot install both x264-libs-0.152-5.20171224gite9a5903.fc28.i686 and x264-libs-0.148-22.20170521gitaaa9aa8.fc27.i686
  - package gstreamer-plugins-ugly-0.10.19-27.fc28.i686 requires libx264.so.152, but none of the providers can be installed
  - package ffmpeg-compat-0.6.7-10.fc26.i686 requires libx264.so.148, but none of the providers can be installed
  - problem with installed package gstreamer-plugins-ugly-0.10.19-23.fc27.i686
  - package ffmpeg-compat-devel-0.6.7-10.fc26.i686 requires ffmpeg-compat(x86-32) = 0.6.7-10.fc26, but none of the providers can be installed
  - gstreamer-plugins-ugly-0.10.19-23.fc27.i686 does not belong to a distupgrade repository
  - problem with installed package ffmpeg-compat-devel-0.6.7-10.fc26.i686
(prova ad aggiungere '--allowerasing' alla linea di comando per sostituire i pacchetti in conflitto or '--skip-broken' to skip uninstallable packages)
[[email protected] fedora]# 

Ultima modifica di sognosuper (01-02-2019 17:08:48)

Non in linea

#26 01-02-2019 18:48:07

d68qdq8dq
Pinguino avanzato
Registrato: 03-07-2014
Messaggi: 296

Re: wordpress

Quello che ti suggerisce di fare: aggiungi alla linea di comando --allowerasing. Io aggiungerei anche --best per eventuali problemi.

Non in linea

#27 01-02-2019 19:38:52

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

quindi il comando totale che devo dare quale è?

Non in linea

#28 01-02-2019 20:19:07

d68qdq8dq
Pinguino avanzato
Registrato: 03-07-2014
Messaggi: 296

Re: wordpress

Il comando che dovresti dare è:

dnf system-upgrade download --releasever=28 --best --allowerasing

Tieni conto che la partizione / ( root) deve avere abbastanza spazio libero per poter effettuare l'aggiornamento. Questo ti verrà indicato eventualmente alla fine del comando prima di effettuare il comando:

dnf system-upgrade  reboot

In tal caso dovrai eliminare qualche programma non critico a tua scelta usando:

dnf remove <nome del programma>

Non in linea

#29 02-02-2019 17:43:36

sognosuper
Pinguino avanzato
Registrato: 12-02-2013
Messaggi: 163

Re: wordpress

Ho dato il comando indicato ora la situazione è questa

Esecuzione del controllo di transazione
Controllo di transazione eseguito con successo.
Test di transazione in corso
I pacchetti scaricati sono stati salvati nella cache fino alla prossima transazione completata con successo.
È possibile rimuovere i pacchetti in cache eseguendo 'dnf clean packages'.
Errore: Errore nel controllo di transazione:
  il file /boot/efi/EFI/fedora dell'installazione di grub2-common-1:2.02-38.fc28.noarch entra in conflitto con il file del pacchetto fwupdate-efi-8-4.fc26.i686
  il file /boot/efi/EFI/fedora dell'installazione di grub2-efi-ia32-1:2.02-38.fc28.i686 entra in conflitto con il file del pacchetto fwupdate-efi-8-4.fc26.i686

Riepilogo errori

Cosa devo fare?

Ultima modifica di sognosuper (02-02-2019 17:44:05)

Non in linea

#30 02-02-2019 19:05:30

d68qdq8dq
Pinguino avanzato
Registrato: 03-07-2014
Messaggi: 296

Re: wordpress

L'aggiornamento si blocca a causa del pacchetto fwupdate-efi-8-4.fc26.i686. Andrebbe rimosso, per evitare il conflitto, ma stai operando sotto boot EFI, ed io in questa architettura non ho mai lavorato. Vorrei avere un qualche altro parere prima di consigliarti di procedere con l'eliminazione di quel pacchetto. Comunque sei sulla buona strada.

Non in linea

Piè di pagina